# Q\&A

#### How do I know which tokens can be bridged between selected chains?

You can simply called the `bridge.getAllPairInfos()` function.(`get_all_pair_infos` HTTP API)

It will return a list of pairs for each supported tokens can be bridged.

#### What does build tx do?

The `bridge.getBuildTx()` function(`get_build_tx` HTTP API) will return all the transactions needed when bridging.

For example, if you bridge USDC from Base to Scroll, it will return two transactions in the txs field.

1. `txs.approveBody`, approve to Owlto smart contract.(will be null if the allowance is enough)
2. `txs.transferBody`, transfer the USDC token to Owlto smart contract on Base chain.

The transactions are in ETH JSON format and are ready to be sent by library like "Ethers".

#### Why getReceipt () returns error?

The `bridge.getReceipt()` function(`get_receipt` HTTP API) will return the status of the bridge process.

When it return non zero code, there are typically three cases

1. The hash you request is not found, maybe the user failed to send the txs.transferBody or there is a delay.
2. The hash you request is found, but the bridge process is still ongoing, you should try again later.
3. The hash you request is found, but the bridge process failed due to reasons like value out of range.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.owlto.finance/integration-guides/api/q-and-a.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
